Skip to main content
`Ctrl`+`K`

# MatLMVMAllocate

Produces all necessary common memory for LMVM approximations based on the solution and function vectors provided.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMAllocate(Mat B, Vec X, Vec F)

## Input Parameters

- B - A `MATLMVM` matrix

- X - Solution vector

- F - Function vector

## Note

If `MatSetSizes()` and `MatSetUp()` have not been called before `MatLMVMAllocate()`, the allocation will read sizes from the provided vectors and update the matrix.

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMReset()`, `MatLMVMUpdate()`

## Level

intermediate

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages